
Application: gvSIG desktop - gvSIG bugs #4372
Comportamiento caótico de la interfaz del etiquetado avanzado
09/19/2016 11:53 AM - Francisco Díaz Carsí

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Labeling
Target version: 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153)
Severity: Critical Add-on version:
gvSIG version: 2.3.0 Add-on build:
Description

Si se abre varias veces sobre la misma capa el panel de propiedades y se modifica el tipo de etiquetado avanzado el comportamiento
del contenido es caótico, desaparece el panel de etiquetado completamente o algunas partes.
Procedimiento para reproducirlo:
    1. Cargar una capa vectorial
    2. Activar etiquetado
    3. abrir propiedades/etiquetado
    4. seleccionar etiquetas definidas por el usuario
    5. seleccionar Etiquetar todas las entidades de la misma manera
    6. con el botón propiedades configurar el etiquetado.
    7. aplicar y aceptar.
    8. Volver a abrir propiedades de la capa y la pestaña etiquetado

    Se ve como está seleccionado "Activar etiquetado", "Etiquetas definidas por el usuario" y "Etiquetar todas las etiquetas de la
misma manera" pero el panel está vacío.
    9. Seleccionar "Definir diferentes clases de entidades y etiquetarlas de manera diferente" 

    Aparece el panel de este tipo de etiquetado.
    10. Volver a seleccionar "Etiquetar todas las etiquetas de la misma manera" 

    el panel aparece vacío no permitiendo la configuración del etiquetado.
Si, en este momento hacemos más grande la ventana de propiedades, se puede observar como detrás del panel vacío se ve

algún componente que debería mostrarse en él.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4368: Advanced labelling... Closed 09/15/2016
Related to Application: gvSIG desktop - gvSIG bugs # 4665: Placement ("Coloca... Closed 09/13/2017

Associated revisions
Revision 42981 - 09/19/2016 12:31 PM - Francisco Díaz Carsí

refs #4372 Fixed chaotic behaviour of labeling interface and apply strategy labeling to the layer also when accept button is clicked (not only when apply
button is clicked).

History
#1 - 09/19/2016 11:53 AM - Francisco Díaz Carsí
- Related to gvSIG bugs #4368: Advanced labelling doesn't work good in gvSIG 2.3 added
#2 - 09/19/2016 12:35 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

Se ha arreglado ese comportamiento caótico.

Además, en un "pasaba por allí", he arreglado el que para aplicar un etiquetado no sea necesario pulsar el botón de "aplicar" antes de pulsar el botón
"aceptar". Antes, si solo se pulsaba el botón "aceptar" se cerraba la ventana de propiedades sin aplicar el etiquetado y, por lo tanto, perdiéndolo.
Ahora cuando se acepta el panel, se aplica directamente el etiquetado.

#3 - 09/20/2016 08:08 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2446 (rev. org.gvsig.desktop-2.0.153)

#4 - 10/20/2016 05:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#5 - 09/21/2017 10:23 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4665: Placement ("Colocación") option at the advanced labelling is not working added
